Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# GIOPA.cpp File Reference

`#include "GIOPC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/String_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/TypeCode_Case_T.h"`
`#include "tao/Union_TypeCode_Static.h"`
`#include "tao/Recursive_Type_TypeCode.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for GIOPA.cpp:

## Namespaces
namespace | GIOP
## Functions
void | operator<<= (CORBA::Any &_tao_any, const GIOP::Version &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::Version *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::Version *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::Version *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const GIOP::IORAddressingInfo &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::IORAddressingInfo *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::IORAddressingInfo *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::IORAddressingInfo *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const GIOP::TargetAddress &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::TargetAddress *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::TargetAddress *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::TargetAddress *&_tao_elem)
## Variables
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_GIOP_AddressingDisposition (CORBA::tk_alias,"IDL:omg.org/GIOP/AddressingDisposition:1.0","AddressingDisposition",&CORBA::_tc_short)
::CORBA::TypeCode_ptr const | _tc_AddressingDisposition
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_GIOP_Version []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_GIOP_Version (CORBA::tk_struct,"IDL:omg.org/GIOP/Version:1.0","Version", _tao_fields_GIOP_Version, 2)
::CORBA::TypeCode_ptr const | _tc_Version
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_GIOP_IORAddressingInfo []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_GIOP_IORAddressingInfo (CORBA::tk_struct,"IDL:omg.org/GIOP/IORAddressingInfo:1.0","IORAddressingInfo", _tao_fields_GIOP_IORAddressingInfo, 2)
::CORBA::TypeCode_ptr const | _tc_IORAddressingInfo
TAO::TypeCode::Case_T< CORBA::Short, char const *, CORBA::TypeCode_ptr const * > const | _tao_cases_GIOP_TargetAddress_0 (0,"object_key",&CORBA::_tc_OctetSeq)
TAO::TypeCode::Case_T< CORBA::Short, char const *, CORBA::TypeCode_ptr const * > const | _tao_cases_GIOP_TargetAddress_1 (1,"profile",&IOP::_tc_TaggedProfile)
TAO::TypeCode::Case_T< CORBA::Short, char const *, CORBA::TypeCode_ptr const * > const | _tao_cases_GIOP_TargetAddress_2 (2,"ior",&GIOP::_tc_IORAddressingInfo)
TAO::TypeCode::Case< char const *, CORBA::TypeCode_ptr const * > const *const | _tao_cases_GIOP_TargetAddress []
TAO::TypeCode::Union< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Case< char const *, CORBA::TypeCode_ptr const * > const *const *, TAO::Null_RefCount_Policy > | _tao_tc_GIOP_TargetAddress ("IDL:omg.org/GIOP/TargetAddress:1.0","TargetAddress",&CORBA::_tc_short, _tao_cases_GIOP_TargetAddress, 3,-1)
::CORBA::TypeCode_ptr const | _tc_TargetAddress

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::TargetAddress * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::TargetAddress & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::IORAddressingInfo * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::IORAddressingInfo & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | GIOP::Version * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const GIOP::Version & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::TargetAddress *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::TargetAddress *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::IORAddressingInfo *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::IORAddressingInfo *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const GIOP::Version *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | GIOP::Version *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Case<char const *, CORBA::TypeCode_ptr const *> const* const _tao_cases_GIOP_TargetAddress[]`[static]`

| Initial value:
      {
        &_tao_cases_GIOP_TargetAddress_0,
        &_tao_cases_GIOP_TargetAddress_1,
        &_tao_cases_GIOP_TargetAddress_2

      }

TAO::TypeCode::Case_T<CORBA::Short, char const *, CORBA::TypeCode_ptr const *> const _tao_cases_GIOP_TargetAddress_0(0,"object_key",&CORBA::_tc_OctetSeq)`[static]`

TAO::TypeCode::Case_T<CORBA::Short, char const *, CORBA::TypeCode_ptr const *> const _tao_cases_GIOP_TargetAddress_1(1,"profile",&IOP::_tc_TaggedProfile)`[static]`

TAO::TypeCode::Case_T<CORBA::Short, char const *, CORBA::TypeCode_ptr const *> const _tao_cases_GIOP_TargetAddress_2(2,"ior",&GIOP::_tc_IORAddressingInfo)`[static]`

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_GIOP_IORAddressingInfo[]`[static]`

| Initial value:
      {
        { "selected_profile_index", &CORBA::_tc_ulong },
        { "ior", &IOP::_tc_IOR }

      }

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_GIOP_Version[]`[static]`

| Initial value:
      {
        { "major", &CORBA::_tc_octet },
        { "minor", &CORBA::_tc_octet }

      }

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_GIOP_AddressingDisposition(CORBA::tk_alias,"IDL:omg.org/GIOP/AddressingDisposition:1.0","AddressingDisposition",&CORBA::_tc_short)`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_GIOP_IORAddressingInfo(CORBA::tk_struct,"IDL:omg.org/GIOP/IORAddressingInfo:1.0","IORAddressingInfo", _tao_fields_GIOP_IORAddressingInfo, 2)`[static]`

TAO::TypeCode::Union<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Case<char const *, CORBA::TypeCode_ptr const *> const * const *, TAO::Null_RefCount_Policy> _tao_tc_GIOP_TargetAddress("IDL:omg.org/GIOP/TargetAddress:1.0","TargetAddress",&CORBA::_tc_short, _tao_cases_GIOP_TargetAddress, 3,-1)`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_GIOP_Version(CORBA::tk_struct,"IDL:omg.org/GIOP/Version:1.0","Version", _tao_fields_GIOP_Version, 2)`[static]`

TAO_Export::CORBA::TypeCode_ptr const GIOP::_tc_AddressingDisposition

| Initial value:
        &_tao_tc_GIOP_AddressingDisposition

TAO_Export::CORBA::TypeCode_ptr const GIOP::_tc_IORAddressingInfo

| Initial value:
        &_tao_tc_GIOP_IORAddressingInfo

TAO_Export::CORBA::TypeCode_ptr const GIOP::_tc_TargetAddress

| Initial value:
        &_tao_tc_GIOP_TargetAddress

TAO_Export::CORBA::TypeCode_ptr const GIOP::_tc_Version

| Initial value:
        &_tao_tc_GIOP_Version